#ifndef HAVE_SKKQUERY_H
#define HAVE_SKKQUERY_H

#include <glib.h>
#include "skktypes.h"
#include "skkdict.h"
#include "skkldict.h"

typedef struct _SkkQuery SkkQuery;
typedef struct _SkkQueryItem SkkQueryItem;

struct _SkkQueryItem
{
	SkkQueryType type;
	gchar *file;
};

struct _SkkQuery
{
	gint ref_count;
	gint cur_list_num;
	GList *query_list;
	SkkQueryItem *cur_item;
};

#define skk_query_set_first(x) skk_query_set_nth((x), 0)

SkkQuery* skk_query_new (void);
SkkQueryItem* skk_query_item_new (gchar *filename, SkkQueryType type);
void skk_query_destroy (SkkQuery *query);
void skk_query_add_item (SkkQuery *query, SkkQueryItem *item);

gboolean skk_query_set_next (SkkQuery *query);
gboolean skk_query_set_prev (SkkQuery *query);
gboolean skk_query_set_nth (SkkQuery *query, gint nth);

GList *skk_query_do_query (SkkQuery *query, gchar *buf, gchar *okuri, gint *found_num);
#endif
